
COMMON_OBJECTS := lib/cmds.o lib/dcmp.o lib/deci2.o lib/desc.o lib/drfp.o lib/dump.o lib/editline.o lib/expr.o lib/file.o lib/fmt.o lib/kbd.o lib/log.o lib/mem.o lib/misc.o lib/net.o lib/netmp.o lib/printf.o lib/psnet.o lib/quad.o lib/scans.o lib/subst.o

DEBUGGER_COMMON_OBJECTS := dbg/dbg.o dbg/ereg.o dbg/ethread.o dbg/exe.o dbg/help.o dbg/ins.o dbg/ireg.o dbg/mdebug.o dbg/mem.o dbg/mod.o dbg/opc.o dbg/sym.o dbg/vopc.o

CFLAGS := -g -O0 -Wall

%.o: %.c
	clang -c $(CFLAGS) $^ -o $@

dscomp: $(COMMON_OBJECTS) src/dscomp.o


dsdcons: $(COMMON_OBJECTS) src/dscons.o

dsecons: $(COMMON_OBJECTS) src/dscons.o

dsedb: $(COMMON_OBJECTS) $(DEBUGGER_COMMON_OBJECTS)

dsefilesv: $(COMMON_OBJECTS) src/dsfilesv.o

dselist: $(COMMON_OBJECTS) src/dslist.o

dseping: $(COMMON_OBJECTS) src/dsping.o

dsestart: $(COMMON_OBJECTS) src/dsstart.o

dsicons: $(COMMON_OBJECTS) src/dscons.c

dsidb: $(COMMON_OBJECTS) $(DEBUGGER_COMMON_OBJECTS)

dsifilesv: $(COMMON_OBJECTS) src/dsfilesv.o

dsilist: $(COMMON_OBJECTS) src/dslist.o

dsiping: $(COMMON_OBJECTS) src/dsping.o

dsistart: $(COMMON_OBJECTS) src/dsstart.o

dskill: $(COMMON_OBJECTS) src/dskill.o

dsmcons: $(COMMON_OBJECTS) src/dscons.c

dsreset: $(COMMON_OBJECTS) src/dsreset.o

dsstat: $(COMMON_OBJECTS) src/dsstat.o



